<template>
    <view class="policy-content">
        <view v-html="strings"></view>
    </view>
</template>

<script>
    import {
        getPolicyContent
    } from '@/api/newIndex.js'
    export default {
        data() {
            return {
                strings: '',
                contentShow: false
            }
        },
        onLoad(option) {
            if (option.id) {
                // #ifdef H5 
                //h5中如果有% 会报错，需单独处理
                // option.val=this.percent2percent25(option.val)
                // #endif
                // this.strings=decodeURIComponent(option.val) ;
                getPolicyContent(1, option.id).then(res => {
                    if (res.data.data.records.length) {
                        this.strings = res.data.data.records[0].note
                    }
                })
            }
        },
        methods: {
            percent2percent25(URI) {
                if (URI.indexOf('%') > -1) {
                    return URI.replace(/%/g, '%25')
                } else {
                    return URI;
                }
            },
        }
    }
</script>

<style>
    /* page{
		padding: 20px 20px 20px 20px;
		overflow: auto;
	} */
    .policy-content {
        padding: 30rpx;
        font-family: PingFangSC-Regular, PingFang SC;
    }
</style>